Bug 1161963 - freetype-config returns wrong include path
Summary: freetype-config returns wrong include path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-09 21:42 UTC by Christian Krause
Modified: 2014-11-16 14:42 UTC (History)
5 users (show)

Fixed In Version: freetype-2.5.3-11.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-16 14:42:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Krause 2014-11-09 21:42:50 UTC
Description of problem:
freetype-config returns a wrong inlude path when using the --prefix parameter

Version-Release number of selected component (if applicable):
freetype-devel-2.5.3-8.fc21.x86_64

How reproducible:
100%

Steps to Reproduce & Actual results:
$ freetype-config --cflags
-I/usr/include/freetype2
$ freetype-config --prefix=/usr --cflags
-I/usr/include


Expected results:
$ freetype-config --cflags
-I/usr/include/freetype2
$ freetype-config --prefix=/usr --cflags
-I/usr/include/freetype2

Additional Info:
- works fine up to Fedora 20
- broken in rawhide and Fedora 21
- this breaks scummvm's configure script which calls freetype-config with the --prefix parameter...

Comment 1 Marek Kašík 2014-11-11 14:05:13 UTC
Hi,

I've fixed the freetype-config script so that it returns correct values.

Marek

Comment 2 Fedora Update System 2014-11-11 14:06:55 UTC
freetype-2.5.3-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freetype-2.5.3-11.fc21

Comment 3 Fedora Update System 2014-11-13 18:15:18 UTC
Package freetype-2.5.3-11.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freetype-2.5.3-11.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14909/freetype-2.5.3-11.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-16 14:42:44 UTC
freetype-2.5.3-11.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.